Package org.apache.uima.cas.impl

# Interface SlotKindsConstants

All Known Implementing Classes:
  `BinaryCasSerDes4`, `BinaryCasSerDes6`

public interface SlotKindsConstants
Users "implement" this interface to get access to these constants in their code

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `arrayLength_i`
  `static final int`
  `byte_i`
  `static final boolean`
  `CAN_BE_NEGATIVE`
  `static final int`
  `control_i`
  `static final int`
  `double_Exponent_i`
  `static final int`
  `double_Mantissa_Sign_i`
  `static final int`
  `float_Exponent_i`
  `static final int`
  `float_Mantissa_Sign_i`
  `static final int`
  `fsIndexes_i`
  `static final int`
  `heapRef_i`
  `static final boolean`
  `IGNORED`
  `static final boolean`
  `IN_MAIN_HEAP`
  `static final int`
  `int_i`
  `static final int`
  `long_High_i`
  `static final int`
  `long_Low_i`
  `static final int`
  `NBR_SLOT_KIND_ZIP_STREAMS`
  `static final int`
  `short_i`
  `static final int`
  `strChars_i`
  `static final int`
  `strLength_i`
  `static final int`
  `strOffset_i`
  `static final int`
  `strSeg_i`
  `static final int`
  `typeCode_i`

- ## Field Details

  - ### CAN_BE_NEGATIVE

    static final boolean CAN_BE_NEGATIVE
    See Also:
      - Constant Field Values

  - ### IGNORED

    static final boolean IGNORED
    See Also:
      - Constant Field Values

  - ### IN_MAIN_HEAP

    static final boolean IN_MAIN_HEAP
    See Also:
      - Constant Field Values

  - ### arrayLength_i

    static final int arrayLength_i

  - ### heapRef_i

    static final int heapRef_i

  - ### int_i

    static final int int_i

  - ### byte_i

    static final int byte_i

  - ### short_i

    static final int short_i

  - ### typeCode_i

    static final int typeCode_i

  - ### strOffset_i

    static final int strOffset_i

  - ### strLength_i

    static final int strLength_i

  - ### long_High_i

    static final int long_High_i

  - ### long_Low_i

    static final int long_Low_i

  - ### float_Mantissa_Sign_i

    static final int float_Mantissa_Sign_i

  - ### float_Exponent_i

    static final int float_Exponent_i

  - ### double_Mantissa_Sign_i

    static final int double_Mantissa_Sign_i

  - ### double_Exponent_i

    static final int double_Exponent_i

  - ### fsIndexes_i

    static final int fsIndexes_i

  - ### strChars_i

    static final int strChars_i

  - ### control_i

    static final int control_i

  - ### strSeg_i

    static final int strSeg_i

  - ### NBR_SLOT_KIND_ZIP_STREAMS

    static final int NBR_SLOT_KIND_ZIP_STREAMS